Subject: GDM refuses to log into Gnome on Debian 9 or 10

From: Nicolas Goaziou <[email-masked]>
Date: Wed, 17 Apr 2019 20:16:20 +0200

Hello,

I use Guix on top of Debian, with Gnome DE. Once I'm at GDM screen and
I log in successfully, nothing happens, and I'm back to GDM screen. The
only workaround I found is to add the following lines in my .profile:

    unset GI_TYPELIB_PATH
    unset XDG_DATA_DIRS

Then I can get past GDM. The fix doesn't work if i omit either line. It
doesn't make a difference if I use standard Gnome, or Gnome Wayland. It
doesn't make a difference if I use Debian Testing instead of Stable.

This is not a great fix because applications installed through Guix do
not appear in the Applications menu.

I wasn't able to get any error message to chew on. 

Help is welcome.

Regards,

-- 
Nicolas Goaziou